Qt 5.12 is out! Here's what Android developers need to know

551
0
12-06-2018 10:42 AM
Labels (1)
EricBader
Regular Contributor II
0 0 551

Today, The Qt Company announced that Qt 5.12 LTS has been released! LTS. This stands for "Long-Term Support". There are some important changes in this release that could affect current ArcGIS Runtime Qt developers who build for Android. We would like to bring these to your attention.

Prior to Qt 5.12, the Qt Android kits were built using the GCC compiler. Starting with Qt 5.12, the Android kits are now built with the Clang compiler and a newer version of the NDK, which no longer supports GCC. What does this mean to you? If you develop Qt Android apps and use ArcGIS Runtime SDK for Qt versions 100.0-100.4, you will not be able to use 5.12, as the currently released Android binaries support GCC only. If you require Android and Qt 5.12, you will need to wait for our 100.5 release, which will be built with 5.12 and Clang. Other platforms are not affected, and you can use 5.12 with our previous releases of ArcGIS Runtime without any known issues.

As always, we are keen to hear about your experiences.

Happy coding!

The ArcGIS Runtime SDK for Qt Development Team

About the Author
Product Manager for ArcGIS Runtime SDKs - Java, Android, Qt